Bug 150300 - redhat-config-* should be renamed to system-config-*
Summary: redhat-config-* should be renamed to system-config-*
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-config-proc   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-04 14:38 UTC by Dimitri Papadopoulos
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 09:52:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dimitri Papadopoulos 2005-03-04 14:38:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.5) Gecko/20041217

Description of problem:
Most Red Hat configuration tools have been renamed from redhat-config-* to system-config-* (the executables, not the packages themselves).

Some tools have been left behind. For example the executables for the redhat-config-proc package are still called redhat-config-proc instead of system-config-proc.

This is annoying when using shell completion to find a system configuration tool.

See also similar bug report for Fedora and another Red Hat Enterprise Linux 4 package:
https://bugzilla.redhat.com/beta/show_bug.cgi?id=115977
https://bugzilla.redhat.com/beta/show_bug.cgi?id=150299


Version-Release number of selected component (if applicable):
redhat-config-proc-0.23-0.EL3.1

How reproducible:
Always

Steps to Reproduce:
1.rpm -ql redhat-config-proc


Actual Results:  [...]
/usr/bin/redhat-config-proc
/usr/sbin/redhat-config-proc
[...]


Expected Results:  [...]
/usr/bin/system-config-proc
/usr/sbin/system-config-proc
[...]


Additional info:

Comment 1 Harald Hoyer 2005-03-04 15:33:54 UTC
there is no system-config-proc for RHEL4

Comment 2 Dimitri Papadopoulos 2005-03-04 15:45:35 UTC
Ah yes, you're right.

Then it's an upgrade bug. I've just upgraded from RHEL ES 3 to RHEL ES 4 and the
package is still there:

# rpm -q redhat-config-proc
redhat-config-proc-0.23-0.EL3.1
# 



Note You need to log in before you can comment on or make changes to this bug.